Page MenuHomePhabricator

Identify and migrate existing internal clients of wdqs to the new internal cluster
Closed, ResolvedPublic

Description

Now that we have a working internal wdqs cluster, we need to start to migrate clients to it. This new cluster should be accessed via wdqs-internal.discovery.wmnet.

The only known internal client at this point is mediawiki.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSet SPARQL services to use internal cluster
operations/mediawiki-config : masterSet SPARQL services to use internal cluster

Event Timeline

Gehel triaged this task as High priority.Apr 24 2018, 5:38 PM
Gehel created this task.
Restricted Application added a project: Wikidata. · View Herald TranscriptApr 24 2018, 5:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev added subscribers: Lea_WMDE, Smalyshev.

The variables we want to change:

  • wgWBQualityConstraintsSparqlEndpoint
  • wgCirrusSearchCategoryEndpoint

ping @Lea_WMDE and Wikibase-Quality-Constraints team about the intent to change SPARQL endpoint.

Seems fine from my side. Adding Lucas to get it on his radar as well.

Change 428722 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Set SPARQL services to use internal cluster

https://gerrit.wikimedia.org/r/428722

I plan to merge this on Monday 30th (so I could keep eye on it - I might be not able to do it on Thursday).

Change 428722 merged by jenkins-bot:
[operations/mediawiki-config@master] Set SPARQL services to use internal cluster

https://gerrit.wikimedia.org/r/428722

Change 429853 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Set SPARQL services to use internal cluster

https://gerrit.wikimedia.org/r/429853

Change 429853 merged by jenkins-bot:
[operations/mediawiki-config@master] Set SPARQL services to use internal cluster

https://gerrit.wikimedia.org/r/429853

Mentioned in SAL (#wikimedia-operations) [2018-04-30T23:21:21Z] <catrope@tin> Synchronized wmf-config/: USe internal cluster for SPARQL services (T192942) (duration: 01m 02s)

Smalyshev closed this task as Resolved.Apr 30 2018, 11:23 PM

wgWBQualityConstraintsSparqlEndpoint and wgCirrusSearchCategoryEndpoint now point to internal cluster. Please create a task if anything looks wrong.

Vvjjkkii renamed this task from Identify and migrate existing internal clients of wdqs to the new internal cluster to tbeaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Smalyshev as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from tbeaaaaaaa to Identify and migrate existing internal clients of wdqs to the new internal cluster.Jul 1 2018, 7:35 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to Smalyshev.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: Aklapper, gerritbot.